/** font-awesome **/

.fa-fw {
    margin-right: 2px;
}


/** Form overrides **/

.form-group {
    label {
        font-size: 0.9em;
        color: #666;
    }
    .help-block {
        @extend .text-muted-heavy;
    }
}

.form-control {
    @include border-radius(2px);
    border: solid 1px #ddd;
    box-shadow: none;
}

.has-error {
    label {
        color: #dc2c29;
    }
    .form-control {
        background: #fff0f0;
        border-color: #dc2c29;
    }
}


/** Disable blue focus outline **/

.disable-outline {
    &:active,
    &:focus {
        outline: none !important;
    }
}


/** Button Overrides **/

.btn,
.btn-lg,
.btn-sm,
.btn-xs {
    @include border-radius(2px);
    @extend .text-bold-md;
    text-transform: uppercase;
    font-weight: 500;
    // padding: 6px 15px;
    &:active,
    &.active {
        @include box-shadow(none);
    }
}

// Default appears as default
.btn-default {
    @include button-variant(#666, #fff, #fff);
    // @include linearGradient(#fff);
    @extend .disable-outline;
    &:active,
    &.active {
        background: darken(#fff, 15%);
        @include box-shadow(none);
    }
    &:hover {
        // @include box-shadow(0 1px 1px rgba(0, 0, 0, 0.2));
    }
}

// Default appears as default-bordered
.btn-default-bordered {
    border: solid 1px #ccc;
    @include border-radius(2px);
    // padding: 6px 15px;
    color: #999;
    background-color: #fff;
    &:focus,
    &.focus {
        color: #666;
        border-color: #666 !important;
    }
    &:hover {
        color: #666;
        background-color: #fff;
        border-color: #666 !important;
    }
    &:active,
    &.active,
    .open>&.dropdown-toggle {
        color: $brand-primary;
        background-color: #fff;
        border-color: $brand-primary !important;
        @include box-shadow(none);
    }
}

// Primary appears as blue-primary
.btn-primary {
    @include button-variant($btn-primary-color, $aqua, $aqua);
    @extend .disable-outline;
}

.btn-round {
    @include border-radius(50px);
    padding-left: 20px;
    padding-right: 20px;
}

// Success appears as blue-success
.btn-success {
    @include button-variant($btn-success-color, $btn-success-bg, $btn-success-bg);
    @extend .disable-outline;
}

// Info appears as blue-green
.btn-info {
    @include button-variant($btn-info-color, $skyblue, $skyblue);
    @extend .disable-outline;
}

// Warning appears as orange
.btn-warning {
    @include button-variant($btn-warning-color, $btn-warning-bg, $btn-warning-bg);
    @extend .disable-outline;
}

// Danger and error appear as red
.btn-danger {
    @include button-variant($btn-danger-color, $grapefruit, $grapefruit);
    @extend .disable-outline;
}

// Button light blue used for buttons with slightly less significance
.btn-light-info {
    @include button-variant($aqua, lighten($aqua, 40%), lighten($aqua, 40%));
    @extend .disable-outline;
}

// Button light green used for buttons with slightly less significance
.btn-light-success {
    @include button-variant($btn-success-bg, lighten($btn-success-bg, 40%), lighten($btn-success-bg, 40%));
    @extend .disable-outline;
}

// Button light red used for buttons with slightly less significance
.btn-light-danger {
    @include button-variant(#c7254e, lighten(#c7254e, 40%), lighten(#c7254e, 40%));
    @extend .disable-outline;
}

.btn-group {
    &.open {
        .dropdown-toggle {
            box-shadow: none;
        }
    }
}


/** Table overrides **/

.table {
    // Bottom align for column headings
    >thead>tr>th {
        border-bottom: none;
        background: #fff;
        border-bottom: 1px solid $table-border-color !important;
        font-weight: 600;
    }
    // Remove top border from thead by default
    >caption+thead,
    >colgroup+thead,
    >thead:first-child {
        >tr:first-child {
            >th,
            >td {
                font-weight: 500;
                color: #666;
            }
        }
    }
    >tbody>tr>td {
        vertical-align: middle;
        // For items with profile image
        .profile-holder {
            display: inline-block;
        }
    }
}

// Dropdown
.dropdown-menu {
    @include border-radius(0px !important);
    border: 1px solid #ddd;
    background: #fff;
    .divider {
        border-color: #ddd;
    }
}

// Modal
.modal {
    &-content {
        @include border-radius(2px !important);
    }
    &-header {
        border-bottom-color: #fff;
        padding: 15px 15px 0px 15px;
        h4 {
            font-size: 1.5em;
            font-weight: 400;
        }
    }
    &-footer {
        border-top-color: #fff;
    }
}

// Modal sizes
.modal-sm {
    width: 400px !important;
}

// Breadcrumbs
.breadcrumb {
    padding: 8px 0px;
    margin-bottom: 15px;
    list-style: none;
    background: none;
    border-radius: 4px;
    li {
        a {
            color: #333;
        }
        &.active {
            a {
                columns: #999;
            }
        }
    }
}

// Ng select 
.ng-select {
    // &.ng-invalid {
    //     .ng-control {
    //         border: solid 1px #ED5565;
    //         background: #fff8f8;
    //     }
    // }
    .ng-control {
        @include border-radius(2px !important);
        border: 1px solid #ddd;
    }
    .ng-clear-zone {
        margin-top: 4px;
    }
    .ng-select-dropdown-outer.bottom {
        border-bottom-right-radius: 2px;
        border-bottom-left-radius: 2px;
    }
}